Package Asm

## Enum JumpCall.Op

- java.lang.Object
- - java.lang.Enum<JumpCall.Op>
  - - Asm.JumpCall.Op

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<JumpCall.Op>`
  Enclosing class:
    JumpCall

      public static enum JumpCall.Op
      extends java.lang.Enum<JumpCall.Op>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CALL` |
    `JMP` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static JumpCall.Op` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static JumpCall.Op[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JMP

          public static final JumpCall.Op JMP

    - #### CALL

          public static final JumpCall.Op CALL

  - ### Method Detail

    - #### values

          public static JumpCall.Op[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JumpCall.Op c : JumpCall.Op.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JumpCall.Op valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null